[Overview][Classes][Procedures and functions][Index] | Reference for unit 'AsyncProcess' (#lcl)

# TAsyncProcess.GetNumBytesAvailable

Gets the value for the NumBytesAvailable property.

## Declaration

Source position: asyncprocess.pp line 42

`protected function TAsyncProcess.GetNumBytesAvailable: dword;`

## Function result

Value for the property.

## Description

GetNumBytesAvailable is a dword function used to get the value for the NumBytesAvailable property. The return value contains the value from Output.NumBytesAvailable, or 0 (zero) when Options does not include the value poUsePipes.

Use NumBytesAvailable to access the value for the property.

Use Options to specify the process options enabled for the class instance.

## See also

TAsyncProcess.NumBytesAvailable |  | Number of output bytes available from the process.
TAsyncProcess.GetNumBytesAvailable |  | Gets the value for the NumBytesAvailable property.
TProcess.Options